import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.text.NumberFormat;

public class Mortgage {

    public static void main(String args[]) throws IOException {

        BufferedReader keyboard =
            new BufferedReader(new InputStreamReader(System.in));
        double principal, rate, ratePercent;
        int years, n;
        final int paymentsPerYear = 12;
        double effectiveAnnualRate;
        double payment;
        NumberFormat currency = NumberFormat.getCurrencyInstance();

        System.out.print("Quel est le montant de l'emprunt ?            ");
        principal = Double.parseDouble(keyboard.readLine().trim());
        System.out.print("Quel est le taux d'intrt ?              ");
        ratePercent = Double.parseDouble(keyboard.readLine().trim());
        rate = ratePercent / 100.00;
        System.out.print("Nombre d'annes de remboursement ?  ");
        years = Integer.parseInt(keyboard.readLine().trim());
        System.out.println("------------------------------");

        n = paymentsPerYear * years;
        effectiveAnnualRate = rate / paymentsPerYear;
        payment =
            principal
                * (effectiveAnnualRate
                    / (1 - Math.pow(1 + effectiveAnnualRate, -n)));
        System.out.print("Vos remboursements mensuels se montent                 ");
        System.out.println(currency.format(payment));
        System.out.println();
    }
}
