import java.text.NumberFormat;
import static java.lang.System.out;

class NiceAccount {
    String lastName;
    int id;
    double balance;

    void addInterest(double rate) {
        out.print("Ajout de ");  
        out.print(rate);
        out.println(" pour cent...");
        
        balance += balance * (rate / 100.0);
    }


    void display() {
        NumberFormat currency = 
            NumberFormat.getCurrencyInstance();
            
        out.print("Le compte portant le nom ");
        out.print(lastName);
        out.print(" et dont l'identificateur est ");
        out.print(id);
        out.print(" a une balance de ");
        out.println(currency.format(balance));
    }
}
